## org.apache.solr.client.solrj.response
Class SolrResponseBase

    java.lang.Object
      org.apache.solr.client.solrj.SolrResponse
          org.apache.solr.client.solrj.response.SolrResponseBase

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AnalysisResponseBase, CoreAdminResponse, LukeResponse, QueryResponse, SolrPingResponse, UpdateResponse

    public class SolrResponseBase

extends SolrResponse

Since:
  solr 1.3
Version:
  $Id: SolrResponseBase.java 679649 2008-07-25 03:18:24Z ryan $
See Also:
  Serialized Form

Constructor Summary
`SolrResponseBase()`

Method Summary
`long` `getElapsedTime()`
`int` `getQTime()`
`String` `getRequestUrl()`
`NamedList<Object>` `getResponse()`
`NamedList` `getResponseHeader()`
`int` `getStatus()`
`void` `setElapsedTime(long elapsedTime)`
`void` `setRequestUrl(String requestUrl)`
`void` `setResponse(NamedList<Object> response)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SolrResponseBase

    public SolrResponseBase()

Method Detail

### getElapsedTime

    public long getElapsedTime()

  Specified by:
    `getElapsedTime` in class `SolrResponse`

### setElapsedTime

    public void setElapsedTime(long elapsedTime)

### getResponse

    public NamedList<Object> getResponse()

  Specified by:
    `getResponse` in class `SolrResponse`

### setResponse

    public void setResponse(NamedList<Object> response)

  Specified by:
    `setResponse` in class `SolrResponse`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getResponseHeader

    public NamedList getResponseHeader()

### getStatus

    public int getStatus()

### getQTime

    public int getQTime()

### getRequestUrl

    public String getRequestUrl()

### setRequestUrl

    public void setRequestUrl(String requestUrl)

Copyright © 2010 Apache Software Foundation. All Rights Reserved.